%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary:	Framework providing Desktop activity awareness
Name:		zeitgeist
Version:	0.4.0
Release:	1%{?dist}
Group:		User Interface/Desktops
License:	LGPLv3+ and LGPLv3
# zeitgeist/loggers/iso_strptime.py is LGPLv3 and the rest LGPLv3+
URL:		https://launchpad.net/zeitgeist
Source0:	http://launchpad.net/%{name}/0.4/0.4.0/+download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-devel python-rdflib
BuildRequires:	raptor
BuildRequires:	gettext, perl(XML::Parser), intltool
Requires:	dbus
Requires:	dbus-python pygobject2 pyxdg

BuildArch:	noarch 

%description
Zeitgeist is a service which logs the users's activities and events (files
opened, websites visites, conversations hold with other people, etc.) and makes
relevant information available to other applications. 

Note that this package only contains the daemon, which you can use
together with several different user interfaces.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYRIGHT NEWS README
%{_bindir}/zeitgeist-daemon
%{_bindir}/zeitgeist-datahub
%{_datadir}/%{name}/
%{python_sitelib}/zeitgeist/
%{_datadir}/dbus-1/services/org.gnome.zeitgeist.service
%{_mandir}/man1/zeitgeist-*.*

%changelog
* Tue Jun 15 2010 Deji Akingunola <dakingun@gmail.com> - 0.4.0-1
- Update to 0.4.0

* Wed Jan 20 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Thu Jan 14 2010 Deji Akingunola <dakingun@gmail.com> - 0.3.1-1
- Add missing requires (Package reviews)
- Update license tag (Package reviews)
- Update to latest release

* Tue Dec 01 2009 Deji Akingunola <dakingun@gmail.com> - 0.3.0-1
- Update to 0.3.0

* Wed Nov 04 2009 Deji Akingunola <dakingun@gmail.com> - 0.2.1-1
- Initial Fedora packaging
